数据提供商: DataForSEO
使用 DataForSEO 查找使用指定技术的域名
每次调用 $0.012 起在 30 秒内响应
可以输入最多10个技术名称,这些名称可以根据技术类别、分类或路径进行筛选,同时还可以使用最多100个关键词进行进一步过滤,然后系统会显示使用这些技术名称的域名信息:每个域名对应一行数据,其中会包含该域名的完整技术资料信息,这些资料会按照技术类别、分类进行分组展示,同时还会显示元标题、元描述、反向链接排名、所在国家以及使用的语言等信息。每页最多显示100个域名,同时会提供用于访问下一页的token。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。在默认的as_is模式下,每项技术名称都必须严格按照DataForSEO所列的技术名称进行拼写;任何不符合该列表名称的输入都会被系统视为无效字段而予以拒绝(实际测试中,Airtable也出现了这种情况)。将模式设置为“entry”,以便能够匹配名称中的某一部分内容。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/domain_analytics/technologies/domains_by_technology/live on Glasser.bash
glasser run -p dataforseo -e '/v3/domain_analytics/technologies/domains_by_technology/live' -i '{"technologies":["Nginx"]}' --endpoint-version 7使用接口版本 7。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/domain_analytics/technologies/domains_by_technology/live","input":{"technologies":["Nginx"]},"endpoint_version":7}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 7,运行前请确认当前价格。
第 2 步尝试一个具体任务
面向特定技术用户筛选潜在客户时,可以在公司的技术使用数据中检查指定工具。
复制此提示词到你的 Agent,检查潜在客户的技术使用情况。
提示词
Use dataforseo:/v3/domain_analytics/technologies/domains_by_technology/live on Glasser.
Check for my chosen technology in the returned usage data before I research this prospect further.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"technologies"
],
"properties": {
"mode": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"limit": {
"type": "integer",
"maximum": 10000,
"minimum": 1
},
"groups": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"offset": {
"type": "integer",
"maximum": 10000,
"minimum": 0
},
"filters": {
"type": "array",
"description": "DataForSEO filter expression, passed through unchanged: one condition [field, operator, value], or conditions joined by \"and\" / \"or\" ([[a], \"and\", [b]]). Field names come from this endpoint's result items; the number of conditions allowed is in the endpoint's docUrl."
},
"keywords": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"order_by": {
"type": "array",
"items": {
"type": "string"
},
"maxItems": 3,
"description": "DataForSEO sorting rules, passed through unchanged: up to 3 \"field,asc\" or \"field,desc\" strings, using the same field names as filters."
},
"categories": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"offset_token": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"technologies": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"technology_paths": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
}
},
"additionalProperties": false
}json
{
"technologies": [
"Nginx"
]
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 基础费用 | 有无匹配数据均按此价格收费。 | $0.012 |
|---|---|---|
| 每行 | 按返回的每行计费。 | $0.0012 |
| 每次运行的费用上限 | 总费用不会超过此金额。 | $12.012 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |